package com.nantian.cloud.dbcapp.service.impl;

import com.nantian.cloud.dbcapp.mapper.record.AccessUnioMapper;
import com.nantian.cloud.dbcapp.mapper.record.AccessUnionQuotaVoMapper;
import com.nantian.cloud.dbcapp.service.AccessUnionService;
import com.nantian.cloud.dbcapp.vo.AccessUnionQuotaVo;
import com.nantian.cloud.dbcapp.vo.AccessUnionVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AccessUnionServiceImpl implements AccessUnionService {
    @Autowired
    AccessUnionQuotaVoMapper mapper;

    @Autowired
    AccessUnioMapper unioMapper;

    /**
     * 查询延期企业的年度的和地区的产品指标填报情况
     * @param dictid 地区编码
     * @param year 年度
     * @return
     */
    @Override
    public List<AccessUnionQuotaVo> getUnionQuota(String dictid,String year) {
        List<AccessUnionQuotaVo> accessQuota = mapper.getAccessQuota(dictid, year);
        //判断是否已经填写基本信息并填充信息
        accessQuota.forEach(accessUnionQuotaVo -> {
            if(accessUnionQuotaVo.getRegisterAddress()!=null && accessUnionQuotaVo.getRegisterDate()!=null){
                accessUnionQuotaVo.setBaseInfo("已填写");
            }else {
                accessUnionQuotaVo.setBaseInfo("未填写");
            }
        });

        return accessQuota;
    }

    /**
     * 得到延期企业的能源结构填报情况
     * @param dictid
     * @param year
     * @return
     */
    @Override
    public List<AccessUnionVo> getUnionTructure(String dictid, String year) {
        List<AccessUnionVo> unio = unioMapper.getUnio(dictid, year);

        return unio;
    }

    @Override
    public List<AccessUnionVo> getAllInfo(String dictid) {
        return unioMapper.getAllInfo(dictid);
    }
}
